%define	version			1.8.1

%{?perl_default_filter:%perl_default_filter}

Name:       psh
Version:    %perl_convert_version %{version}
Release:    %mkrel 16
Summary:    Developing for Perl Shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{name}-%{version}.tar.gz
Patch0:	    psh-perl5.22-fix.diff

BuildRequires: perl(Cwd)
BuildRequires: perl(File::Spec)
BuildArch:  noarch

%description
*psh* is a Perl program which executes a read-eval loop with enough options
so that general behavior reasonably similar to more traditional shells like
'*sh*' or '*bash*' can be achieved, while still allowing arbitrary perl
expressions to be evaluated.

By default within *psh*, the Perl *-w* flag and ''use strict'' are not
employed so that the user is not bound by their stipulations. They can both
be turned on via a command-line flag; or setting '$^W = 1' will turn on
warnings, and calling ''use strict'' will (almost) do the usual thing if
called by the user (see LIMITATIONS, below).

Each line of input is read. *psh* knows a number of possible strategies for
evaluating the line, such as "send it to 'system()' if it starts with the
name of an executable visible in '$ENV{PATH}'". (See below for a complete
list.) Each strategy in turn (from a user-definable list) examines the
command line to see if it can apply, and the first matching strategy
evaluates the line. There is a *psh* configuration variable (see below)
which controls whether the perl value of the evaluation is saved and
printed after each command.

%prep
%setup -q
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc COPYRIGHT HACKING INSTALL META.yml README RELEASE TODO examples
%{_bindir}/psh
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.8.1-16.mga9
+ Revision: 1806871
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.8.1-15.mga8
+ Revision: 1499297
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.8.1-14.mga7
+ Revision: 1274545
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sun Jun 19 2016 pterjan <pterjan> 1.8.1-13.mga6
+ Revision: 1036358
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.8.1-12.mga6
+ Revision: 972391
- Mageia 6 Mass Rebuild

* Tue Nov 03 2015 tv <tv> 1.8.1-11.mga6
+ Revision: 897641
- patch 0: perl-5.22 fix

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-10.mga5
+ Revision: 739470
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 tv <tv> 1.8.1-9.mga5
+ Revision: 722235
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-8.mga5
+ Revision: 687811
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.8.1-7.mga4
+ Revision: 517764
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.8.1-6.mga3
+ Revision: 378278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 jquelin <jquelin> 1.8.1-5.mga1
+ Revision: 62832
- mageia rebuild
+ kharec <kharec>
- imported package psh


* Sun Jul 18 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.8.1-5mdv2011.0
+ Revision: 554817
- use the macros %%{_bindir} and %%{_mandir}

* Thu Feb 11 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.8.1-4mdv2010.1
+ Revision: 504076
- rewrite part of spec to fix warnings

* Sun Jan 03 2010 Jérôme Quelin <jquelin@mandriva.org> 1.8.1-3mdv2010.1
+ Revision: 485974
- fix summary

* Sun Jan 03 2010 Jérôme Quelin <jquelin@mandriva.org> 1.8.1-2mdv2010.1
+ Revision: 485907
- removing bogus requires:

* Thu Dec 31 2009 Jérôme Quelin <jquelin@mandriva.org> 1.8.1-1mdv2010.1
+ Revision: 484364
- import psh


* Thu Dec 31 2009 cpan2dist 1.8-1mdv
- initial mdv release, generated with cpan2dist
